Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Repository/Values/User/RoleDraft.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\Values\User;
8
9 use eZ\Publish\API\Repository\Values\User\RoleDraft as APIRoleDraft;
10
16 class RoleDraft extends APIRoleDraft
17 {
25 protected $innerRole;
26
34 public function __get($property)
35 {
36 return $this->innerRole->$property;
37 }
38
45 public function __set($property, $propertyValue)
46 {
47 $this->innerRole->$property = $propertyValue;
48 }
49
57 public function __isset($property)
58 {
59 return $this->innerRole->__isset($property);
60 }
61
67 public function getPolicies()
68 {
69 return $this->innerRole->getPolicies();
70 }
71 }
eZ\Publish\API\Repository\Values\User\RoleDraft
This class represents a draft of a role.
Definition: API/Repository/Values/User/RoleDraft.php:13
eZ\Publish\Core\Repository\Values\User\RoleDraft
This class represents a draft of a role.
Definition: Core/Repository/Values/User/RoleDraft.php:17
eZ\Publish\Core\Repository\Values\User\RoleDraft\$innerRole
$innerRole
Definition: Core/Repository/Values/User/RoleDraft.php:25
eZ\Publish\Core\Repository\Values\User\RoleDraft\__set
__set($property, $propertyValue)
Magic set for routing set calls to innerRole.
Definition: Core/Repository/Values/User/RoleDraft.php:45
eZ\Publish\Core\Repository\Values\User\RoleDraft\__isset
__isset($property)
Magic isset for routing isset calls to innerRole.
Definition: Core/Repository/Values/User/RoleDraft.php:57
eZ\Publish\Core\Repository\Values\User\RoleDraft\__get
__get($property)
Magic getter for routing get calls to innerRole.
Definition: Core/Repository/Values/User/RoleDraft.php:34
eZ\Publish\Core\Repository\Values\User\RoleDraft\getPolicies
getPolicies()
Returns the list of policies of this role.
Definition: Core/Repository/Values/User/RoleDraft.php:67
eZ\Publish\Core\Repository\Values\User
Definition: Core/Repository/Values/User/Policy.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.